apache + php

В связи с очередной дырой в php, пришлось проапгрейдить 5.3.6 до 5.3.7. Естественно при этом использовался portupgrade. apache начал падать по 6-му сигналу.

Оказалось (я как бы давно подозревал, но не думал, что все настолько плохо), что апач с php падает или не падает в зависимости от порядка экстеншнов в extensions.ini.

Добрые люди подсказали скрипт, который располагает экстеншны в правильном порядке. Там же, внутри скрипта информация о том, откуда собирались идеи о «правильном порядке».

http://people.freebsd.org/~ohauer/scripts/fixphpextorder.sh

  1. Хм … никогда не нарывался на ошибку с неверным порядком экстеншинов. Век живи, век учись :)

Оставить комментарий


Примечание - Вы можете использовать эти HTML tags and attributes:
<a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>